Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Installing SilverStripe /

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Install goes nowhere


Go to End


5 Posts   1419 Views

Avatar
chrisgill

Community Member, 8 Posts

4 April 2009 at 10:53am

Never had this with a cms before.

Installed v2.3.1 in a folder /cms/ within the web folder of a domain hosted on a shared server. I have several other cms scripts running in similar circumstances. When I go to domain/cms the browser shows that I am being forwarded to domain/cms/install.php, but I get only a blank screen.

Not a great start.

Chris

Avatar
Willr

Forum Moderator, 5523 Posts

4 April 2009 at 6:01pm

A blank screen would probably suggest an error with the php / apache setup without even getting to the install checks.

Check your apache server logs for the error message.

Avatar
chrisgill

Community Member, 8 Posts

4 April 2009 at 7:57pm

Thanks. Problem seems consistent. I have essentially the same error message in the log from two separate installs - one by uploading the expanded software, the other by using my host's backup restore system and expanding the zip file on the server. In the latter case, the error is:

interactivesites.co.uk [Sat Apr 04 07:48:48 2009] [error] [client 81.153.77.123] PHP Parse error: syntax error, unexpected $end in /home/sites/interactivesites.co.uk/public_html/stripe231/sapphire/dev/install/config-form.html on line 178

Any light you can shed would be appreciated. It may help to know that I have had slightly more success with an earlier install of v2.2.3, but in that case hit a different problem with the system failing to recognise my admin login credentials.

Does 2.3.1 have different php requirements from 2.2.3?

Chris

Avatar
chrisgill

Community Member, 8 Posts

5 April 2009 at 2:47am

To my amazement, this is a problem with config-form.html that has been known about for two weeks, but not fixed.

Check out this topic: 2.3.1 install file broken

Chris

Avatar
chrisgill

Community Member, 8 Posts

5 April 2009 at 3:08am

The fix in the other thread mentioned above works, I can testify.

Chris